## org.codehaus.groovy.grails.plugins.exceptions
Class PluginException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.plugins.exceptions.PluginException

All Implemented Interfaces:
  Serializable

    public class PluginException

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`PluginException()`
`PluginException(String arg0)`
`PluginException(String arg0, Throwable arg1)`
`PluginException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginException

    public PluginException()

### PluginException

    public PluginException(String arg0,
                           Throwable arg1)

### PluginException

    public PluginException(String arg0)

### PluginException

    public PluginException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project